<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                
<!-- ELEMENTE ======================================================================== -->
<!-- Element 'f-seite' =============================================================== -->
<xsl:template match="f-seite">
  <xsl:variable name="footnotes" select="//fn[not(ancestor::table)]"/>

  <xsl:apply-templates/>
  <xsl:if test="$footnotes">
    <table width="{$g.width.display}" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="{$g.width.display}">
          <xsl:call-template name="write-doc-footnotes">
            <xsl:with-param name="nodes" select="$footnotes"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:if>
</xsl:template>


<!-- Element 'f-bez' ================================================================= -->
<xsl:template match="f-bez">
  <span class="title"><xsl:apply-templates/></span>
</xsl:template>


<xsl:template match="f-seite/f-bez">
  <table width="{$g.width.display}" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="{$g.width.display}" class="title"><xsl:apply-templates/></td>
    </tr>
  </table>
  <br/>
</xsl:template>


<!-- Element 'pl-bez' ================================================================ -->
<xsl:template match="pl-bez">
  <xsl:apply-templates/>
  <br/>
</xsl:template>


<!-- Element 'bez' =================================================================== -->
<xsl:template match="abschnitt/bez | p-kurz-gruppe/bez">
  <span class="title"><xsl:apply-templates/></span>
  <br/>
</xsl:template>


<xsl:template match="bereich/bez">
  <span class="title"><xsl:apply-templates/></span>
  <br/><br/>
</xsl:template>


<!-- Element 'bereich' =============================================================== -->
<xsl:template match="bereich">
  <p>
    <table width="{$g.width.display}" border="0" cellpadding="0" cellspacing="0">
      <tr><td width="{$g.width.display}"><xsl:apply-templates/></td></tr>
    </table>
  </p>
</xsl:template>


<!-- Element 'abschnitt' ============================================================= -->
<xsl:template match="f-seite/abschnitt">
  <p>
    <table width="{$g.width.display}" border="0" cellpadding="0" cellspacing="0">
      <tr><td width="{$g.width.display}"><xsl:apply-templates/></td></tr>
    </table>
  </p>
</xsl:template>


<xsl:template match="bereich/abschnitt[position() = 1]">
  <xsl:apply-templates/>
</xsl:template>


<xsl:template match="bereich/abschnitt[position() > 1]">
  <br/>
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>