<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="liste | numliste | liste-u | numliste-u">
  <table border="0" cellpadding="0" cellspacing="0">
    <xsl:apply-templates select="le"/>
  </table>
</xsl:template>


<xsl:template match="numliste[@startindex] | numliste-u[@startindex]">
  <table border="0" cellpadding="0" cellspacing="0">
    <xsl:apply-templates select="le">
      <xsl:with-param name="from" select="@startindex"/>
    </xsl:apply-templates>
  </table>
</xsl:template>


<xsl:template match="le[../@typ='strich'] |
                         le[parent::liste or parent::liste-u][not(../@typ)]">
  <tr valign="top">
    <td width="15" class="listLine">-</td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>


<xsl:template match="le[../@typ='punkt']">
  <tr valign="top">
    <td width="15" class="listBullet">&#8226;</td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>


<xsl:template match="le[../@typ='kasten']">
  <tr valign="top">
    <td width="15" class="listBox">[&#160;]</td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>


<xsl:template match="le[../@typ='arabisch'] | 
                     le[parent::numliste or parent::numliste-u][not(../@typ)]">
  <xsl:param name="from" select="1"/>
  <xsl:variable name="index" select="$from + count(preceding-sibling::le)"/>

  <tr valign="top">
    <td width="15" class="listDigit"><xsl:number value="$index" format="1."/></td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>


<xsl:template match="le[../@typ='alphagross']">
  <xsl:param name="from" select="1"/>
  <xsl:variable name="index" select="$from + count(preceding-sibling::le)"/>

  <tr valign="top">
    <td width="15" class="listAlphaLarge"><xsl:number value="$index" format="A."/></td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>


<xsl:template match="le[../@typ='alphaklein']">
  <xsl:param name="from" select="1"/>
  <xsl:variable name="index" select="$from + count(preceding-sibling::le)"/>

  <tr valign="top">
    <td width="15" class="listAlphaSmall"><xsl:number value="$index" format="a)"/></td>
    <td width="5">&#160;</td>
    <td><xsl:apply-templates select="*"/></td>
  </tr>
</xsl:template>

</xsl:stylesheet>
